ros-kilted-ament-cmake-clang-tidy (0.19.3-2noble) noble; urgency=high

  * Fix cmake deprecation (#539 <https://github.com/ament/ament_lint/issues/539>) (#540 <https://github.com/ament/ament_lint/issues/540>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 07 Apr 2026 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.19.2-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 16 Apr 2025 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.19.1-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sat, 01 Feb 2025 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.19.0-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 19 Nov 2024 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.18.1-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 16 Jun 2024 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.18.0-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 25 Apr 2024 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.17.0-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 15 Apr 2024 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.16.4-2noble) noble; urgency=high

  * Update maintainer list in package.xml files (#474 <https://github.com/ament/ament_lint/issues/474>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 27 Mar 2024 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.16.3-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.16.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.16.1-2noble) noble; urgency=high

  * Provide --header-filter and --jobs to CMake. (#450 <https://github.com/ament/ament_lint/issues/450>)
  * Contributors: Roderick Taylor

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.16.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.15.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.15.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.15.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.14.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.14.0-2noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#421 <https://github.com/ament/ament_lint/issues/421>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.13.2-2noble) noble; urgency=high

  * Update maintainers (#379 <https://github.com/ament/ament_lint/issues/379>)
  * Contributors: methylDragon

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.13.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 08 May 2022 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.13.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.12.3-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.12.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.12.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.12.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.11.4-2noble) noble; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.11.3-2noble) noble; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * Improvements to ament_lint_clang_tidy. (#316 <https://github.com/ament/ament_lint/issues/316>)
  * Contributors: Audrow Nash, Steven! Ragnarök

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.11.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.11.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.11.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.10.6-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 May 2021 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.10.5-2noble) noble; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Apr 2021 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.10.4-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.10.3-2noble) noble; urgency=high

  * 0.10.3
  * add TIMEOUT argument to ament_cmake_clang_tidy (#298 <https://github.com/ament/ament_lint/issues/298>)
  * Contributors: Audrow Nash, M. Mei

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 02 Mar 2021 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.10.2-2noble) noble; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 11 Feb 2021 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.10.1-2noble) noble; urgency=high

  * Fix documentation for ament_cmake_clang_tidy (#285 <https://github.com/ament/ament_lint/issues/285>)
  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang, Tyler Weaver

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.10.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Sep 2020 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.9.4-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.9.3-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 17 May 2020 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.9.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.9.1-2noble) noble; urgency=high

  * 0.9.0
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 Apr 2020 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.8.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.8.0-2noble) noble; urgency=high

  * Fix append error
  * Contributors: John

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 16 Sep 2019 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.7.4-2noble) noble; urgency=high

  * Remove build failing whitespace (#162 <https://github.com/ament/ament_lint/issues/162>)
    * Remove whitespace from clang-format and clang-tidy
  * Add custom config file support (#159 <https://github.com/ament/ament_lint/issues/159>)
  * Add clang tidy to ament linters (#155 <https://github.com/ament/ament_lint/issues/155>)
    * Basic clang-lint functionality
    * Add clang tidy cmake dir
    * Add Google/default config file
    * Add xunit output
    * Add lint tests
    * Update copyright, maintainer, verbiage
  * Contributors: John

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 30 Jul 2019 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.7.3-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 12:08:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.7.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 07:30:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.7.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 May 2019 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.7.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 10 Apr 2019 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.6.3-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 13 Jan 2019 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.6.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 Dec 2018 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.6.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Nov 2018 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.6.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Nov 2018 23:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.5.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 Jun 2018 22:00:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.5.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 11:47:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.5.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 08:09:00 -0000

ros-kilted-ament-cmake-clang-tidy (0.4.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


